Open CASCADE Technology: AppCont_FunctionTool2d Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
AppCont_FunctionTool2d Class Reference

This class is the inteface between the Function2d class and the tool asked by LeastSquare. More...

`#include <AppCont_FunctionTool2d.hxx>`

## Static Public Member Functions
static Standard_Real | FirstParameter (const AppCont_Function2d &C)
| returns the first parameter of the Function. More...
static Standard_Real | LastParameter (const AppCont_Function2d &C)
| returns the last parameter of the Function. More...
static Standard_Integer | NbP2d (const AppCont_Function2d &C)
| Returns 1. (the approximation will be done only for one function. More...
static Standard_Integer | NbP3d (const AppCont_Function2d &C)
| Returns 0. More...
static void | Value (const AppCont_Function2d &C, const Standard_Real U, TColgp_Array1OfPnt2d &tabPt)
| <tabP> is an array of only 1 element, the point value at the parameter <U>. More...
static Standard_Boolean | D1 (const AppCont_Function2d &C, const Standard_Real U, TColgp_Array1OfVec2d &tabV)
| <tabV> is an array of only 1 element, the derivative value at the parameter <U>. More...
static void | Value (const AppCont_Function2d &C, const Standard_Real U, TColgp_Array1OfPnt &tabPt2d)
static void | Value (const AppCont_Function2d &C, const Standard_Real U, TColgp_Array1OfPnt &tabPt, TColgp_Array1OfPnt2d &tabPt2d)
static Standard_Boolean | D1 (const AppCont_Function2d &C, const Standard_Real U, TColgp_Array1OfVec &tabV2d)
static Standard_Boolean | D1 (const AppCont_Function2d &C, const Standard_Real U, TColgp_Array1OfVec &tabV, TColgp_Array1OfVec2d &tabV2d)

## Detailed Description

This class is the inteface between the Function2d class and the tool asked by LeastSquare.

## Member Function Documentation

static Standard_Boolean AppCont_FunctionTool2d::D1 | ( | const AppCont_Function2d & | C,
|  | const Standard_Real | U,
|  | TColgp_Array1OfVec2d & | tabV
| ) |  |
| static

<tabV> is an array of only 1 element, the derivative value at the parameter <U>.

static Standard_Boolean AppCont_FunctionTool2d::D1 | ( | const AppCont_Function2d & | C,
|  | const Standard_Real | U,
|  | TColgp_Array1OfVec & | tabV2d
| ) |  |
| static

static Standard_Boolean AppCont_FunctionTool2d::D1 | ( | const AppCont_Function2d & | C,
|  | const Standard_Real | U,
|  | TColgp_Array1OfVec & | tabV,
|  | TColgp_Array1OfVec2d & | tabV2d
| ) |  |
| static

static Standard_Real AppCont_FunctionTool2d::FirstParameter | ( | const AppCont_Function2d & | C | ) |
| static

returns the first parameter of the Function.

static Standard_Real AppCont_FunctionTool2d::LastParameter | ( | const AppCont_Function2d & | C | ) |
| static

returns the last parameter of the Function.

static Standard_Integer AppCont_FunctionTool2d::NbP2d | ( | const AppCont_Function2d & | C | ) |
| static

Returns 1. (the approximation will be done only for one function.

static Standard_Integer AppCont_FunctionTool2d::NbP3d | ( | const AppCont_Function2d & | C | ) |
| static

Returns 0.

static void AppCont_FunctionTool2d::Value | ( | const AppCont_Function2d & | C,
|  | const Standard_Real | U,
|  | TColgp_Array1OfPnt2d & | tabPt
| ) |  |
| static

<tabP> is an array of only 1 element, the point value at the parameter <U>.

static void AppCont_FunctionTool2d::Value | ( | const AppCont_Function2d & | C,
|  | const Standard_Real | U,
|  | TColgp_Array1OfPnt & | tabPt2d
| ) |  |
| static

static void AppCont_FunctionTool2d::Value | ( | const AppCont_Function2d & | C,
|  | const Standard_Real | U,
|  | TColgp_Array1OfPnt & | tabPt,
|  | TColgp_Array1OfPnt2d & | tabPt2d
| ) |  |
| static

The documentation for this class was generated from the following file:

- AppCont_FunctionTool2d.hxx